{------------------------------------------------------------------------------}
{   MCM Design                                                                 }
{   Marc Christopher Martin                                                    }
{   Australiensvej 34                                                          }
{   2100 Copenhagen OE                                                         }
{   Denmark                                                                    }
{                                                                              }
{   e-mail support@mcm-design.dk                                               }
{                                                                              }
{------------------------------------------------------------------------------}

Library twdsrc32;

{------------------------------------------------------------------------------}
{ This Library is the "program file".                                          }
{                                                                              }
{ Compile this file, and rename it to twdsrcd.ds                               }
{ Then place it in the directory                                               }
{                                                                              }
{   C:\WINDOWS\TWAIN_32\                                                       }
{                                                                              }
{ or in a sub-directory,                                                       }
{                                                                              }
{   C:\WINDOWS\TWAIN_32\MY_DIR\                                                }
{                                                                              }
{ which makes it more clear which files belong to which TWAIN driver.          }
{                                                                              }
{ Note: It's not possible to add a Title to this project in                    }
{         Project|Options|Application                                          }
{       because the Application.CreateForm is missing.                         }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ RESOURCE FILE                                                                }
{ -------------                                                                }
{ To create the twdsrc32.res file convert the twdsrc.rc file with brcc32.exe   }
{ DOS program shiped with Delphi 2.0.                                          }
{ * example                                                                    }
{     c:\program files\delphi 2.0\bin\brcc32.exe -r twdsrc32.rc                }
{                                                                              }
{   you might have to write                                                    }
{     c:\program files\delphi~1.0\bin\brcc32.exe -r twdsrc32.rc                }
{                                                                              }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ DEBUGGING                                                                    }
{ ---------                                                                    }
{ Set Conditional Defines to DEBUG, in Project, Options.                       }
{ This will make the TWAIN source generate a new LOG file each time the source }
{ is started.                                                                  }
{ The LOG file contains information about function calls in twd_port.pas, incl }
{ message                                                                      }
{------------------------------------------------------------------------------}
{$D 'TWAIN Delphi Example Source version 1.60, MCM Design 1993 - 1998'}

uses
  Usrctwn in 'USRCTWN.PAS' {FormSource},
  twd_main,
  WinTypes,
  WinProcs,
  Usabout in 'USABOUT.PAS' {FormAbout};

{$E ds}

{$IFDEF WIN32}
  { 32 Bit code.                                                }
  {$R DRIVER32.RES}
{$ELSE}
  { 16 Bit code.                                                }
  {$R DRIVER.RES}
{$ENDIF}
{$R *.RES}

exports DS_Entry index 1;


var TWAINClass : TWndClass;
begin
  { This "if" part is necessary when using the code in twd_slb.                }
  { This hasn't been included in the 32 bit edition.                           }
  {$IFDEF OLDSTYLE}
    if (hPrevInst = 0)
    then begin
         with TWAINClass
         do begin
            lpszClassName := TwainApp;
            lpfnWndProc   := @TWAIN_Interface;
            cbWndExtra    := 0;
            cbClsExtra    := 0;
            hInstance     := System.hInstance;
            hIcon         := LoadIcon(hInstance, PChar(962));
            hCursor       := LoadCursor(hInstance, IDC_ARROW);
            hbrBackground := GetStockObject(Black_Brush);
            lpszMenuName  := PChar(100);
            style         := CS_HREDRAW or
                             CS_VREDRAW or
                             CS_BYTEALIGNWINDOW or
                             CS_OWNDC;
         end;
         RegisterClass(TWAINClass)
    end;
 {$ENDIF}

  {$IFDEF WIN32}
    { 32 Bit code.                                       }
    twd_main.LibMain(hInstance, DLL_PROCESS_ATTACH, Nil);
  {$ELSE}
    { 16 Bit code.                                       }
    twd_main.LibMain(System.hInstance, 0, 0, Nil);
  {$ENDIF}
end. { End Init procedure for Twdsrcd.                                         }

