Unit uIOFile;

{------------------------------------------------------------------------------}
{                                MCM Design                                    }
{                           Copyright 1992, 1993                               }
{                             Designed Maj 1993                                }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{$A+} { Align data Byte = $A-, Word = $A+.                                     }
{$F+} { Force FAR call.                                                        }
{$N-} { CoProcessor code generation.                                           }
{$R-} { Range check.                                                           }
{$W-} { Protected mode only $W-, Real mode stack frame support $W+.            }
{$X+} { Extended syntax (When on, function can be used as procedures).         }
{------------------------------------------------------------------------------}


interface

uses SysUtils;

{type TFileName = array[0..fsPathName] of char; }

function  ExistFile(FileName : PChar) : boolean;

function  EraseFile(FileName : PChar) : boolean;

procedure Name2Path(Dest, Source : PChar);

procedure NameFromPath(Dest, Source : PChar);


implementation


function ExistFile(FileName : PChar) : boolean;
{ Boolean function that returns True if the file exists; otherwise,            }
{ it returns False. Closes the file if it exists.                              }
var TmpFile : file;
begin
  {$I-}
  Assign(TmpFile, FileName);
  Reset(TmpFile);
  Close(TmpFile);
  {$I+}
  if (IOResult = 0)
  then ExistFile := True
  else ExistFile := False;
end; { End ExistFile.                                                          }


function EraseFile(FileName : PChar) : boolean;
var TmpFile : file;
begin
  EraseFile := False;
  {$I-}
    Assign(TmpFile, FileName);
    Reset(TmpFile);
    Close(TmpFile);
  {$I+}
  if (IOResult = 0)
  then begin
       Erase(TmpFile);
       EraseFile := True;
  end;
end; { End EraseFile.                                                          }

procedure Name2Path(Dest, Source : PChar);
var i      : integer;
    TmpStr : PChar;
begin
  TmpStr := StrNew(Source);   
  i := StrLen(TmpStr);
  while (i > 0) and (TmpStr[i] <> ':') and (TmpStr[i] <> '\')
  do dec(i);
  TmpStr[i+1] := #0;
  StrCopy(Dest, TmpStr);
  StrDispose(TmpStr);
end; { End Name2Path.                                                          }


procedure NameFromPath(Dest, Source : PChar);
var i, j, k : integer;
begin
  i := StrLen(Source);
  while (i > 0) and (Source[i] <> '.')
  do dec(i);
  if (i = 0)
  then i := StrLen(Source);
  k := i;
  while (i > 0) and (Source[i] <> '\') and (Source[i] <> ':')
  do dec(i);
  j := 0;
  inc(i);
  while (i < k)
  do begin
     Dest[j] := Source[i];
     inc(i);
     inc(j);
  end;
  Dest[j] := #0;
end; { End NameFromPath.                                                       }

end. { End Unit UFileHdl.                                                      }